require 'acquia/cloud/operations/delete'

module Acquia
  class Cloud
    class Entity
      attr_accessor :url

      def refresh
        @data = @cloud.api.get url
        self
      end

      protected

      def data
        @data || (refresh && @data)
      end
    end
  end
end
